Subject: Re: Wanted:Japanese umbrella pine

From: [email-masked] (Gustavo Maroni)
Date: 2 Mar 1995 15:25:59 GMT

I would suppose the surest bet is the **great** conifer people: 

Iseli Nursery, 30590 S.E. Kelso Rd., Boring Oregon 97009

These things are finicky and need to be sited very well, so be sure you 
get lots of information before you spend what Iseli is 
likely to charge!

Donna Maroni
c/o [email-masked]

[email-masked] wrote:

: My wife and I are landscaping the front yard of our house in suburban MD
: and are looking for a Japanese umbrella pine of reasonable size (5-6 feet
: at least) as they are quite slow-growing. We have tried a number of
: landscaping and garden supply companies, some with supposedly national
: contacts, but none have been able to come up with one of more than 4 feet.
: We understand this will not be cheap. Any suggestions? Thanks.

: John and Sherry